Kod: Zaznacz cały
pppd call neo
Za pomoc z góry dzięki.
Kod: Zaznacz cały
pppd call neo
Kod: Zaznacz cały
debian:/home/michal# update-rc.d neo defaults 95
update-rc.d: warning: /etc/init.d/neo missing LSB information
update-rc.d: see <http://wiki.debian.org/LSBInitScripts>
System startup links for /etc/init.d/neo already exist.
Kod: Zaznacz cały
debian:/home/michal# /etc/init.d/neo start
/etc/init.d/neo: line 17: syntax error near unexpected token `||'
/etc/init.d/neo: line 17: ` || return 1 '
Kod: Zaznacz cały
update-rc.d neo defaults 95
michal881 pisze:Jak cofnąć tą komendę?
Kod: Zaznacz cały
update-rc.d -f [nazwa] remove
:-?Tworzymy skrypt w /etc/init.d/neo (lub dla netii analogicznie: /etc/init.d/net24) o zawartości:
A następnie dajemy mu prawa wykonywania:Kod: Zaznacz cały
#! /bin/sh PATH=/usr/sbin:/usr/bin:/sbin:/bin NAME=pppd DAEMON=/usr/sbin/pppd PEER="neo" ########### lub net24 DAEMON_ARGS="call $PEER linkname $PEER" PIDFILE=/var/run/ppp-$PEER.pid SCRIPTNAME=/etc/init.d/neo ############# lub /etc/init.d/net24 # Exit if the package is not installed [ -x "$DAEMON" ] || exit 0 do_start() { start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \ || return 1 start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \ $DAEMON_ARGS \ || return 2 } do_stop() { start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --name $NAME RETVAL="$?" [ "$RETVAL" = 2 ] && return 2 start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON [ "$?" = 2 ] && return 2 rm -f $PIDFILE return "$RETVAL" } case "$1" in start) [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME" do_start case "$?" in 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;; 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;; esac ;; stop) [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME" do_stop case "$?" in 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;; 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;; esac ;; restart|force-reload) log_daemon_msg "Restarting $DESC" "$NAME" do_stop case "$?" in 0|1) do_start case "$?" in 0) log_end_msg 0 ;; 1) log_end_msg 1 ;; # Old process is still running *) log_end_msg 1 ;; # Failed to start esac ;; *) # Failed to stop log_end_msg 1 ;; esac ;; *) #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2 echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2 exit 3 ;; esac
I ustawiamy żeby skrypt odpalał się ze startem komputera:Kod: Zaznacz cały
chmod u+x /etc/init.d/neo
I gotoweKod: Zaznacz cały
update-rc.d neo defaults 95
A tu jest jeszcze coś takiego:
W skrypcie startowym po liście zmiennych wpisujesz:i wszystko graKod: Zaznacz cały
[ -f /lib/lsb/init-functions ] && . /lib/lsb/init-functions
Przeczytałeś dokładnie całość.Powinieneś mieć plik /lib/lsb/init-functions
Należy do pakietu : lsb-base
W skrypcie startowym po liście zmiennych wpisujesz:i wszystko gra :-)Kod: Zaznacz cały
[ -f /lib/lsb/init-functions ] && . /lib/lsb/init-functions
Kod: Zaznacz cały
debian:/home/michal# /etc/init.d/neo stop
/etc/init.d/neo: line 17: syntax error near unexpected token `||'
/etc/init.d/neo: line 17: ` || return 1 '
Kod: Zaznacz cały
[ -f /lib/lsb/init-functions ] && . /lib/lsb/init-functions
Kod: Zaznacz cały
SCRIPTNAME=/etc/init.d/neo ############# lub /etc/init.d/net24
Zamień fragmentmichal881 pisze:A jak już zrobie ten skrypt bez tego to dalej mi się pojawia przy wywołaniu:
debian:/home/michal# /etc/init.d/neo stop
/etc/init.d/neo: line 17: syntax error near unexpected token `||'
/etc/init.d/neo: line 17: ` || return 1 '
Kod: Zaznacz cały
do_start()
{
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
}
Kod: Zaznacz cały
do_start()
{
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null || return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS || return 2
}